F5 Networks BIG-IP : Reflected XSS vulnerability (K44462254)

High Nessus Plugin ID 118662

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

A reflected Cross-Site Scripting (XSS) vulnerability exists in an undisclosed page of the BIG-IP Configuration utility that allows an attacker to execute JavaScript in the context of the current logged-in user. (CVE-2018-15312)

Impact

A remote unauthenticated attacker could potentially exploit this vulnerability by sending a specific crafted URL that includes the specific target host name and malicious HTML or JavaScript code to a BIG-IP Configuration utility user, which is then reflected back to the victim and executed by the web browser. If the exploit is successful, an attacker can run JavaScript in the context of the currently logged-in user. In the case of an administrative user with Advanced Shell ( bash ) access, successful exploitation of this vulnerability can be leveraged to completely compromise the BIG-IP system through Remote Code Execution.

Solution

Upgrade to one of the non-vulnerable versions listed in the F5 Solution K44462254.

See Also

https://support.f5.com/csp/#/article/K44462254

Plugin Details

Severity: High

ID: 118662

File Name: f5_bigip_SOL44462254.nasl

Version: 1.1

Type: local

Published: 2018/11/02

Modified: 2018/11/02

Dependencies: 76940

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/a:f5:big-ip_access_policy_manager, cpe:/a:f5:big-ip_advanced_firewall_manager, cpe:/a:f5:big-ip_application_acceleration_manager, cpe:/a:f5:big-ip_application_security_manager, cpe:/a:f5:big-ip_application_visibility_and_reporting, cpe:/a:f5:big-ip_global_traffic_manager, cpe:/a:f5:big-ip_link_controller, cpe:/a:f5:big-ip_local_traffic_manager, cpe:/a:f5:big-ip_policy_enforcement_manager, cpe:/a:f5:big-ip_webaccelerator, cpe:/h:f5:big-ip

Required KB Items: Host/local_checks_enabled, Host/BIG-IP/hotfix, Host/BIG-IP/modules, Host/BIG-IP/version, Settings/ParanoidReport

Patch Publication Date: 2018/10/17

Reference Information

CVE: CVE-2018-15312